FIX::group_order Struct Reference

Sorts fields in correct group order. More...

`#include <MessageSorters.h>`

## Static Public Member Functions

static bool | compare (const int x, const int y, int *order, int largest)

## Detailed Description

Sorts fields in correct group order.

Definition at line 82 of file MessageSorters.h.

## Member Function Documentation

## compare()

static bool FIX::group_order::compare | ( | const int | x,
|  | const int | y,
|  | int * | order,
|  | int | largest
| ) |  |

inline static

Definition at line 84 of file MessageSorters.h.

{
if ( x <= largest && y <= largest )
{
int iX = order[ x ];
int iY = order[ y ];
if ( iX == 0 && iY == 0 )
return x < y;
else if ( iX == 0 )
return false;
else if ( iY == 0 )
return true;
else
return iX < iY;
}
else if ( x <= largest ) return true;
else if ( y <= largest ) return false;
else return x < y;
}

Referenced by FIX::message_order::operator()().

The documentation for this struct was generated from the following file:

- MessageSorters.h